Subject: bug#58376: [PATCH] Set the PARENTS argument for language environments

From: समीर सिंह Sameer Singh <[email-masked]>
Date: Sun, 9 Oct 2022 00:46:10 +0530

>
> Why to Misc?  I could understand moving Cham to Indian and Tai Viet to
> Thai.  Misc is not really appropriate for scripts whose similar
> scripts are already in some file.

Cham should not be moved to Indian, it inherits its script from India, but
is not an Indian language.
I'll leave them as it is.

For Kharoshthi and Gothic how to define the PARENTS argument so that it
does not overwrite the previous entries in the menu?
I am defining it like this:

(set-language-info-alist
 "Kharoshthi" '((charset unicode)
       (coding-system utf-8)
       (coding-priority utf-8)
       (input-method . "kharoshthi")
                (sample-text . "Kharoṣṭhī (𐨑𐨪𐨆𐨛𐨁) 𐨣𐨨𐨲𐨪𐨆
𐨐𐨪𐨅𐨨𐨁")
       (documentation . "\
Language environment for Gāndhārī, Sanskrit, and other languages
using the Kharoṣṭhī script."))
 '("Misc"
   "Indian"))

On Sat, Oct 8, 2022 at 11:46 PM Eli Zaretskii <[email-masked]> wrote:

> > From: समीर सिंह Sameer Singh <[email-masked]>
> > Date: Sat, 8 Oct 2022 21:48:26 +0530
> > Cc: [email-masked]
> >
> > Maybe Kharoshthi could also have "Indian" and Gothic could have
> "European".
>
> I just asked, I have no opinion on that.
>
> > Also can we move Cham, Tai Viet and Northern Thai in Misc?
>
> Why to Misc?  I could understand moving Cham to Indian and Tai Viet to
> Thai.  Misc is not really appropriate for scripts whose similar
> scripts are already in some file.
>